Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.utils
Class Results.Minors.Validation.Signature

    java.lang.Object
      net.aocat.psis.client.utils.Results.Minors.Validation.Signature

Enclosing class:
  Results.Minors.Validation

    public static class Results.Minors.Validation.Signature

extends java.lang.Object

PSIS signature and timestamp validation result codes.

Field Summary
`static java.lang.String` | `CANNOTDETERMINEPDUVALIDITY` The DSS server could not determine signature's PDU validity.
`static java.lang.String` | `INAPPROPRIATE` The signature or its contents are not appropriate in the current context.
`static java.lang.String` | `INDETERMINED` The DSS server could not determine the validity of the signature or timestamp.
`static java.lang.String` | `INVALID` The signature or timestamp is invalid.
`static java.lang.String` | `INVALID_INCORRECT` The signature or timestamp is incorrect.
`static java.lang.String` | `INVALID_INDETERMINATEKEY` The signature or timestamp is invalid because signing key could not be validated.
`static java.lang.String` | `INVALID_REFERENCEDDOCSNOTPRESENT` The signature or timestamp is invalid because the referenced document is not present.
`static java.lang.String` | `INVALID_UNTRUSTEDKEY` The signature or timestamp is invalid because signing key is not trusted.
`static java.lang.String` | `VALID_MULTISIGNATURES` All signatures are valid.
`static java.lang.String` | `VALID_NOTALLDOCSREFERENCED` The signature or timestamp is valid.
`static java.lang.String` | `VALID_ONALLDOCS` The signature or timestamp is valid.
`static java.lang.String` | `VALID_ONTRANSFORMEDDOCS` The signature or timestamp is valid.

Constructor Summary
`Results.Minors.Validation.Signature()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALID_MULTISIGNATURES

    public static java.lang.String VALID_MULTISIGNATURES

  All signatures are valid.

### VALID_ONALLDOCS

    public static java.lang.String VALID_ONALLDOCS

  The signature or timestamp is valid. Furthermore, the signature or timestamp covers all of the input documents just as they were passed in by the client.

### VALID_ONTRANSFORMEDDOCS

    public static java.lang.String VALID_ONTRANSFORMEDDOCS

  The signature or timestamp is valid. Furthermore, the signature or timestamp covers all of the input transformed documents passed in by the client.

### VALID_NOTALLDOCSREFERENCED

    public static java.lang.String VALID_NOTALLDOCSREFERENCED

  The signature or timestamp is valid. However, the signature or timestamp does not cover all of the input documents that were passed in by the client.

### INVALID

    public static java.lang.String INVALID

  The signature or timestamp is invalid.

### INVALID_INCORRECT

    public static java.lang.String INVALID_INCORRECT

  The signature or timestamp is incorrect. It fails to verify, for example due to the signed document being modified or the incorrect key being used.

### INVALID_REFERENCEDDOCSNOTPRESENT

    public static java.lang.String INVALID_REFERENCEDDOCSNOTPRESENT

  The signature or timestamp is invalid because the referenced document is not present.

### INVALID_INDETERMINATEKEY

    public static java.lang.String INVALID_INDETERMINATEKEY

  The signature or timestamp is invalid because signing key could not be validated.

### INVALID_UNTRUSTEDKEY

    public static java.lang.String INVALID_UNTRUSTEDKEY

  The signature or timestamp is invalid because signing key is not trusted.

### INAPPROPRIATE

    public static java.lang.String INAPPROPRIATE

  The signature or its contents are not appropriate in the current context. For example, the signature may be associated with a signature policy and semantics which the DSS server considers unsatisfactory.

### INDETERMINED

    public static java.lang.String INDETERMINED

  The DSS server could not determine the validity of the signature or timestamp. Further information is provided in textual form.

### CANNOTDETERMINEPDUVALIDITY

    public static java.lang.String CANNOTDETERMINEPDUVALIDITY

  The DSS server could not determine signature's PDU validity.

Constructor Detail

### Results.Minors.Validation.Signature

    public Results.Minors.Validation.Signature()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD